Network Rules

List Network Rules

GET
/v0/project/{idOrSlug}/network-rules

Authorization

apiKeyAuth
x-api-key<token>

FastStats API key. Pass it in the x-api-key header or as a Bearer token in the Authorization header.

In: header

Path Parameters

idOrSlug*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v0/project/string/network-rules"
[
  {
    "id": "string",
    "projectId": "string",
    "ipAddress": "string",
    "allowed": true,
    "createdAt": "string"
  }
]
{
  "_tag": "NetworkRuleValidationError",
  "message": "string"
}
{
  "_tag": "UnauthorizedError",
  "message": "string"
}
{
  "_tag": "ForbiddenError",
  "message": "string",
  "code": "string"
}
{
  "_tag": "NotFoundError",
  "message": "string"
}